{% extends template_base %}
{% load i18n %}
{% load active_tag %}
{% load humanize %}
{% load price_tag %}
{% load check_group %}
{% block title %}Facturación de {{ customer.name }}{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
		<li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
		<li class="breadcrumb-item active">Estado de Cuenta</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ customer.name }}</h1>
	<!-- end page-header -->

	<ul class="nav nav-pills mb-2">
		<li class="nav-item {% add_active request 'customer-detail' %}">
			<a href="{% url 'customer-detail' customer.pk %}"class="nav-link">
				<span class="d-sm-none">General</span>
				<span class="d-sm-block d-none">General</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-list' %}">
			<a href="{% url 'service-list' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Servicios</span>
				<span class="d-sm-block d-none">Servicios</span>
			</a>
		</li>
		{% if service_preselect %}
		<li class="nav-item {% add_active request 'service-list' %}">
			<a href="{% url 'service-detail' service_preselect.number %}" class="nav-link">
				<span class="d-sm-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
				<span class="d-sm-block d-none" title="Unico servicio del cliente">#{{service_preselect.number}}</span>
			</a>
		</li>
		{% endif %}		
		<li class="nav-item {% add_active request 'customer-payment-methods' %}">
      <a href="{% url 'customer-payment-methods' customer.pk %}" class="nav-link">
        <span class="d-sm-none">Métodos de Pago</span>
        <span class="d-sm-block d-none">Métodos de Pago</span>
      </a>
    </li>
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' customer.pk %}" class="nav-link active">
				<span class="d-sm-none">Estado de Cuenta</span>
				<span class="d-sm-block d-none">Estado de Cuenta</span>
			</a>
		</li>
        <li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'customer-configuration' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'customer-widget' customer.pk %}" class="nav-link">
				<span class="d-sm-none">Widget</span>
				<span class="d-sm-block d-none">Widget</span>
			</a>
		</li>	
	</ul>

	  
	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Estados de Cuenta</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
              <div class="col-sm-12 col-md-12">
				{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Operador de finanzas" or request.user|has_group:"Coordinador de facturación"%}
								{% if perms.customers.add_invoice %}
                  <a href="{% url 'invoice-create' customer_pk=customer.pk %}" class="btn btn-success btn-sm pull-right ml-1">Nueva Factura</a>
								{% endif %}
				{% endif %}
                {% if perms.customers.add_payment %}
                  <a href="{% url 'payment-create' customer_pk=customer.pk %}" class="btn btn-primary btn-sm pull-right ml-1">Nuevo Pago</a>
				{% endif %}
				
              </div>
          </div>

          {% with customer.get_statement as statement %}
          <div id="extra">
            <table class="table table-striped">
              <thead>
                <tr>
                  <th>Fecha</th>
				  <th>Descripción</th>
				  <th>Monto Original</th>
                  <th>Cargo </th>
				  <th>Abono </th>
				  {%if show_saldo %}
				  <th>Saldo ({{currency.symbol}})</th>
				  {%endif%}
                </tr>
              </thead>
              <tbody>
                {% for record in customer.get_statement.records %}
                  <tr {% if not record.paid %} style="background-color:#CDCDCD" {% endif %}>
                    <td>{{ record.ts|date:"d-m-Y" }}</td>
                    <td><i class="fa fa-eye"></i> <a href="{{ record.absolute_url }}" class="text-{% if record.credit %}green{% else %}{% if True %}blue{% endif %}{% endif %}">{{ record.comment }}</a></td>
                    <td>{% if record.original_charge %}{{ record.original_charge|price_tag }}{% endif %}{% if record.original_credit %}{{ record.original_credit|price_tag }}{% endif %}</td>
					<td>{% if record.charge %}{{ record.charge|price_tag }}{% endif %}</td>
					<td>{% if record.credit %}{{ record.credit|price_tag }}{% endif %}</td>
					{%if show_saldo %}
					<td>{{ record.balance| price_tag }}</td>
					{%endif%}
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
          {% endwith %}
				</div>
				<!-- end panel-body -->
			</div>
			<!-- end panel -->
		</div>
		<!-- end col-12 -->
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
	<!-- end scroll to top btn -->
	{%else%}
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado de clientes.</h5>
	</div>
	{%endif%}
{% endblock %}

